import React, { useState } from "react";
import { CanvasContext } from "./CanvasContext.js";
import { useWebsocket } from "./useWebsocket.js";
export const Canvas = (props) => {
    const [isLoading, setIsLoading] = useState(true);
    const [data, setData] = useState(null);
    const [error, setError] = useState(null);
    const [signer, setSigner] = useState(null);
    const [actionSigner, setActionSigner] = useState(null);
    const [sessionExpiration, setSessionExpiration] = useState(null);
    const host = props.host;
    const ws = useWebsocket({ setIsLoading, setData, setError, host });
    return (React.createElement(CanvasContext.Provider, { value: {
            isLoading,
            error,
            host,
            data,
            ws,
            signer,
            setSigner,
            actionSigner,
            setActionSigner,
            sessionExpiration,
            setSessionExpiration,
        } }, props.children));
};
