/// <reference types="react" />
import type { SessionSigner, ActionSigner } from "@canvas-js/signers";
export interface ApplicationData {
    cid: string;
    uri: string;
    peerId: string | null;
    component: string | null;
    actions: string[];
    routes: string[];
    peers: {
        gossip: Record<string, {
            lastSeen: number;
        }>;
        sync: Record<string, {
            lastSeen: number;
        }>;
    } | null;
}
export interface CanvasContextValue {
    isLoading: boolean;
    error: Error | null;
    host: string | null;
    data: ApplicationData | null;
    ws: WebSocket | null;
    signer: SessionSigner | null;
    setSigner: (signer: SessionSigner | null) => void;
    actionSigner: ActionSigner | null;
    setActionSigner: (actionSigner: ActionSigner | null) => void;
    sessionExpiration: number | null;
    setSessionExpiration: (sessionExpiration: number | null) => void;
}
export declare const CanvasContext: import("react").Context<CanvasContextValue>;
