/// <reference types="react" />
import { Connector, SessionSigner } from "@canvas-js/signers";
export interface MultichainConnectContextValue {
    address: string | null;
    setAddress: (address: string | null) => void;
    error: Error | null;
    isConnected: boolean;
    setIsConnected: (isConnected: boolean) => void;
    isLoading: boolean;
    setIsLoading: (isLoading: boolean) => void;
    signer: SessionSigner | null;
    setSigner: (signer: SessionSigner | null) => void;
    connector: Connector | null;
    setConnector: (connector: Connector | null) => void;
    connectors: Connector[] | null;
}
export declare const MultichainConnectContext: import("react").Context<MultichainConnectContextValue>;
export declare const useConnect: () => {
    connect: (newConnector: Connector) => Promise<void>;
    isConnected: boolean;
    connectors: Connector[] | null;
    address: string | null;
};
export declare const useDisconnect: () => {
    disconnect: () => void;
};
export declare const useSigner: () => {
    signer: SessionSigner | null;
};
